// FileEnumerator.h: interface for the CFileEnumerator class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILEENUMERATOR_H__B396030E_8C51_4F11_AA0E_B71B678B7B9F__INCLUDED_)
#define AFX_FILEENUMERATOR_H__B396030E_8C51_4F11_AA0E_B71B678B7B9F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Patch_Util.h"

#include <windows.h>
#include <vector>


class CFileEnumerator  
{
public:
	CFileEnumerator();
	~CFileEnumerator();

	bool Enumerate( const char* szRootPath );
	
	const char* GetRootPath();

private:
	char m_szRootPath[MAX_PATH];
	std::vector< char* > m_vecEnumeratedFiles;

	void Clear();
};

#endif // !defined(AFX_FILEENUMERATOR_H__B396030E_8C51_4F11_AA0E_B71B678B7B9F__INCLUDED_)
